Test::Set::Channel Namespace Reference

Tests for set channeling constraints More...

## Classes

class | ChannelSorted
| Test for sorted channeling constraint More...
class | ChannelInt
| Test for integer channel constraint More...
class | ChannelBool
| Test for Boolean channel constraint More...
class | ChannelSet
| Test for set channel constraint More...

## Variables

ChannelSorted | _channelSorted ("Channel::Sorted")
ChannelInt | _channelint1 ("Channel::Int::1", d2, 2, 3)
ChannelInt | _channelint2 ("Channel::Int::2", d3, 3, 3)
ChannelBool | _channelbool1 ("Channel::Bool::1", d2, 3)
ChannelBool | _channelbool2 ("Channel::Bool::2", d3, 3)
ChannelBool | _channelbool3 ("Channel::Bool::3", d4, 5)
ChannelSet | _channelSet12 ("Channel::Set::1::2", d1, 2, 2)
ChannelSet | _channelSet13 ("Channel::Set::1::3", d1, 2, 3)
ChannelSet | _channelSet22 ("Channel::Set::2::2", d3, 2, 2)
ChannelSet | _channelSet23 ("Channel::Set::2::3", d3, 2, 3)
ChannelSet | _channelSet32 ("Channel::Set::3::2", d_12, 2, 2)
ChannelSet | _channelSet33 ("Channel::Set::3::3", d_12, 2, 3)

## Detailed Description

Tests for set channeling constraints

## Variable Documentation

## _channelSorted

ChannelSorted Test::Set::Channel::_channelSorted("Channel::Sorted") | ( | "Channel::Sorted" |  | ) |

## _channelint1

ChannelInt Test::Set::Channel::_channelint1("Channel::Int::1", d2, 2, 3) | ( | "Channel::Int::1" | ,
|  | d2 | ,
|  | 2 | ,
|  | 3 | )

## _channelint2

ChannelInt Test::Set::Channel::_channelint2("Channel::Int::2", d3, 3, 3) | ( | "Channel::Int::2" | ,
|  | d3 | ,
|  | 3 | ,
|  | 3 | )

## _channelbool1

ChannelBool Test::Set::Channel::_channelbool1("Channel::Bool::1", d2, 3) | ( | "Channel::Bool::1" | ,
|  | d2 | ,
|  | 3 | )

## _channelbool2

ChannelBool Test::Set::Channel::_channelbool2("Channel::Bool::2", d3, 3) | ( | "Channel::Bool::2" | ,
|  | d3 | ,
|  | 3 | )

## _channelbool3

ChannelBool Test::Set::Channel::_channelbool3("Channel::Bool::3", d4, 5) | ( | "Channel::Bool::3" | ,
|  | d4 | ,
|  | 5 | )

## _channelSet12

ChannelSet Test::Set::Channel::_channelSet12("Channel::Set::1::2", d1, 2, 2) | ( | "Channel::Set::1::2" | ,
|  | d1 | ,
|  | 2 | ,
|  | 2 | )

## _channelSet13

ChannelSet Test::Set::Channel::_channelSet13("Channel::Set::1::3", d1, 2, 3) | ( | "Channel::Set::1::3" | ,
|  | d1 | ,
|  | 2 | ,
|  | 3 | )

## _channelSet22

ChannelSet Test::Set::Channel::_channelSet22("Channel::Set::2::2", d3, 2, 2) | ( | "Channel::Set::2::2" | ,
|  | d3 | ,
|  | 2 | ,
|  | 2 | )

## _channelSet23

ChannelSet Test::Set::Channel::_channelSet23("Channel::Set::2::3", d3, 2, 3) | ( | "Channel::Set::2::3" | ,
|  | d3 | ,
|  | 2 | ,
|  | 3 | )

## _channelSet32

ChannelSet Test::Set::Channel::_channelSet32("Channel::Set::3::2", d_12, 2, 2) | ( | "Channel::Set::3::2" | ,
|  | d_12 | ,
|  | 2 | ,
|  | 2 | )

## _channelSet33

ChannelSet Test::Set::Channel::_channelSet33("Channel::Set::3::3", d_12, 2, 3) | ( | "Channel::Set::3::3" | ,
|  | d_12 | ,
|  | 2 | ,
|  | 3 | )